<template>
    <v-card elevation="10">
        <v-card-title class="cyan darken-4 mb-4">
            <span class="headline font-weight-light white--text">User Info</span>
        </v-card-title>
        <v-card-text class="text-left">
            <span class="subtitle-1 black--text">Account Name: </span>
            <span class="subtitle-1 black--text">{{user.name}}</span>
        </v-card-text>
        <v-card-text class="text-left">
            <span class="subtitle-1 black--text">Email: </span>
            <span class="subtitle-1 black--text">{{user.email}}</span>
        </v-card-text>
        <v-card-text class="text-left">
            <span class="subtitle-1 black--text">Gender: </span>
            <span class="subtitle-1 black--text text-uppercase">{{user.gender}}</span>
        </v-card-text>
        <v-card-text class="text-left">
            <span class="subtitle-1 black--text">Email Verified: </span>
            <span v-if="user.email_verified_at == null" class="subtitle-1 red--text">Not Verified</span>
            <span v-if="user.email_verified_at != null" class="subtitle-1 black--text">Verified</span>
        </v-card-text>
    </v-card>
</template>

<script>
    export default {
        name: "UserDialog",
        data() {
            return {
                user: Object,
            }
        },
        methods: {
            viewUser() {
                this.changeLoading()
                this.$store.dispatch('viewUser').then(response => {
                    this.user = response.data.data.user
                    console.log(this.user.user)
                }).catch(error => {
                    console.log(error)
                }).finally(() => {
                    this.changeLoading()
                })
            },
            changeLoading() {
                this.$emit('isLoading')
            },
        },
        created() {
            this.viewUser()
        }
    }
</script>

<style scoped>

</style>